Issue 32480

Summary: It will be wrong when insert table with "+-------+".
Product: Writer Reporter: bianhui <hui.bian>
Component: codeAssignee: michael.ruess
Status: CLOSED FIXED QA Contact: issues <>
Severity: trivial    
Priority: P3 CC: issues
Version: 680m36   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation on: ---
Developer Difficulty: ---

Description bianhui 2004-08-03 04:08:25 UTC
   I run the SunShine Office 1.0 680(Build:8776), and find a bug in word 
   1.Create a new text document.
   2.Input some spaces, and input +-----------+ after these spaces and input  
   3.It will insert a table with one column and one row. And save this document
     as a.sxw.
   4.Close the document.
   5.Open the a.sxw ,and the table's left border will extend to page's left 
  I hope that this bug can be resolve quickly and I will very appreciation for 
Comment 1 michael.ruess 2004-08-03 07:56:09 UTC
MRU->DVO: a table created by the described method (via Autocorrect) seems to be
saveds wrongly in sdw & sxw format. Using the WW8 format, the spacings are correct..
When doing this with a manually aligned table, it's also ok.
Comment 2 thorsten.ziehm 2004-08-11 14:05:25 UTC
I re-targeted this bug, because it is needed for a new feature integration for
SunShine Office.
=> Priority 3 and Target OOo2.0
Comment 3 openoffice 2004-08-13 15:22:05 UTC
dvo: Fixed in c02v1; sw/source/filter/xml/xmlexpit.cxx v1.10.60.1

The Writer table export directly acesses the SvxLRSpaceItem and calls the
:GetTxtLeft() method to determine the left margin. This method usually delivers
the cumultative left margin + first line indent. Since tables don't have line
indents, this is not used for tables. Sometimes the TxtLeft was set to the left
margin, in other cases if was left as 0. Those latter cases are where this bug
appeared. The solution is to simply use the :GetLeft() method (only left margin;
no first line indent), as this is the same value that the layout uses to
actually place the table.

dvo->QA: The fix should be save, but please test different margin/alignment
settings for tables to make sure. Thanks. :-)
Comment 4 openoffice 2004-08-26 12:23:45 UTC
reopen for QA
Comment 5 openoffice 2004-08-26 12:24:31 UTC
dvo->mru: Please test. Thanks.
Comment 6 eric.savary 2004-08-30 17:11:24 UTC
Comment 7 eric.savary 2004-08-30 17:11:34 UTC
Verified in SRC680/c02v1
Comment 8 michael.ruess 2004-09-24 15:34:42 UTC
Checked in 680m54.